Name:           python-robotframework-docker
Version:        1.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A Robot Framework Docker Library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/vogoltsov/robotframework-docker
Source:         %{pypi_source robotframework_docker}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'robotframework-docker' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-robotframework-docker
Summary:        %{summary}

%description -n python3-robotframework-docker %_description


%prep
%autosetup -p1 -n robotframework_docker-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-robotframework-docker -f %{pyproject_files}


%changelog
%autochangelog